<template>
    <div>
        
    </div>
    <nav style="background-color:#1F2937">
        <div class="container">
            <ul class="nav nav-pills justify-content-between align-items-center">
                <a href="/" class="logo-wrapper">
                    <img src="https://img.freepik.com/premium-vector/javanese-hat-symbol-blangkon_757387-2379.jpg" class="logo">
                    <div class="text-wrapper">
                        <h1><span class="cinema">CINEMA</span><span class="scope"> SCOPE</span></h1>
                    </div>
                </a>
                <div v-if="!isLoggedIn">
                    <router-link to="/login">Login</router-link>
                </div>
                <li v-if="isLoggedIn" class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        {{ username }}
                    </a>
                    <div v-if="role && role.includes('Admin')">
                        <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="/admin/movies">Admin Menu</a></li>
                            <li><a class="dropdown-item" href="/">Dashboard</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" @click.prevent="logout">Logout</a></li>
                        </ul>
                    </div>

                    <!-- ini buat else null aja -->
                    <div v-else> 
                        <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" @click.prevent="logout">Logout</a></li>
                        </ul>
                    </div>
                    
                    

                    
                </li>
            </ul>
        </div>
    </nav>
</template>

<script>
import axios from 'axios';

export default {
    name: 'NavbarUser',
    data() {
        return {
            isLoggedIn: false,
            username: '',
            role: ''
        };
    },
    created() {
        const token = localStorage.getItem('jwt-token');
        if (token) {
            this.isLoggedIn = true;
            this.getUserInfo(token);
        }
    },
    methods: {
        async getUserInfo(token) {
            try {
                const response = await axios.get('http://localhost:8000/api/user', {
                    headers: {
                        Accept: 'application/json',
                        Authorization: `Bearer ${token}`
                    }
                });
                this.username = response.data.name;
                this.role = response.data.role;
            } catch (error) {
                console.error(error);
            }
        },
        async logout() {
            const token = window.localStorage.getItem('jwt-token');
            if (token) {
                try {
                    const response = await axios.delete('http://localhost:8000/api/auth/logout', {
                        headers: {
                            Accept: 'application/json',
                            Authorization: `Bearer ${token}`
                        }
                    });
                    console.log(response);
                    localStorage.removeItem('jwt-token');
                    this.isLoggedIn = false;
                    this.$router.push('/login');
                } catch (err) {
                    console.error(err);
                }
            } else {
                this.$router.push('/login');
            }
        }
    }
};
</script>

<style>
/* Tambahkan style khusus untuk komponen ini jika perlu */
a {
    text-decoration: none;
}

.nav {
    display: flex;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 20px;
}

.logo-wrapper {
    display: flex;
    align-items: center;
}

.text-wrapper {
    margin-left: 10px;
}

.logo {
    width: 50px;
    border-radius: 50%;
}

h1 {
    margin: 0;
}

.cinema {
    color: white;
    font-weight: bold;
}

.scope {
    color: yellow;
    font-weight: bold;
}
</style>
